openapi: 3.0.1
info:
  title: API v1
  description: Dynamic API v1
  version: "1"
servers:
- url: https://sah.tib.eu:80/gesah
tags:
- name: agent
  description: REST agent (0.1.0)
- name: cultural_object
  description: REST cultural_object (0.1.0)
- name: depicted-place
  description: REST depicted-place (0.1.0)
- name: generic_term
  description: REST generic_term (0.1.0)
- name: keyword
  description: REST keyword (0.1.0)
- name: narrow_term
  description: REST narrow_term (0.1.0)
- name: place
  description: REST place (0.1.0)
paths:
  /api/rest/1/agent: {}
  /api/rest/1/agent/resource:{resource_id}:
    parameters:
    - name: resource_id
      in: path
      description: Base64 encoded URI of the resource
      required: true
      schema:
        type: string
  /api/rest/1/agent/get_agent_by_gnd:
    post:
      tags:
      - agent
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                gnd:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/cultural_object:
    get:
      tags:
      - cultural_object
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  cultural_object:
                    type: object
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/cultural_object/resource:{resource_id}:
    parameters:
    - name: resource_id
      in: path
      description: Base64 encoded URI of the resource
      required: true
      schema:
        type: string
  /api/rest/1/cultural_object/lido_export:
    post:
      tags:
      - cultural_object
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                resource_id:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/cultural_object/graph_export:
    post:
      tags:
      - cultural_object
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                resource_id:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/cultural_object/get_by_inv_no:
    post:
      tags:
      - cultural_object
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/cultural_object/get_valid_objects:
    post:
      tags:
      - cultural_object
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/cultural_object/copy:
    post:
      tags:
      - cultural_object
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                parent:
                  type: string
                former_inventory_numbers:
                  type: object
                culturalObjects:
                  type: object
                depictedObjectsLocalizedIn:
                  type: object
                depictionTypes:
                  type: object
                genericTerms:
                  type: object
                markDesignations:
                  type: object
                watermarks:
                  type: object
                type:
                  type: string
                depicts:
                  type: object
                descriptions:
                  type: object
                workIndexEntries:
                  type: object
                narrowerTerms:
                  type: object
                authorInitials:
                  type: object
                plate_states:
                  type: object
                activities:
                  type: object
                geographicAssignments:
                  type: object
                secondaryLiterature:
                  type: object
                series_parts:
                  type: object
                stylisticAssignments:
                  type: object
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/depicted-place: {}
  /api/rest/1/depicted-place/resource:{resource_id}:
    parameters:
    - name: resource_id
      in: path
      description: Base64 encoded URI of the resource
      required: true
      schema:
        type: string
  /api/rest/1/depicted-place/get_depicted-place_by_label:
    post:
      tags:
      - depicted-place
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/generic_term: {}
  /api/rest/1/generic_term/resource:{resource_id}:
    parameters:
    - name: resource_id
      in: path
      description: Base64 encoded URI of the resource
      required: true
      schema:
        type: string
  /api/rest/1/generic_term/get_generic_term_by_label:
    post:
      tags:
      - generic_term
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/keyword: {}
  /api/rest/1/keyword/resource:{resource_id}:
    parameters:
    - name: resource_id
      in: path
      description: Base64 encoded URI of the resource
      required: true
      schema:
        type: string
  /api/rest/1/keyword/get_keyword_by_label:
    post:
      tags:
      - keyword
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/narrow_term: {}
  /api/rest/1/narrow_term/resource:{resource_id}:
    parameters:
    - name: resource_id
      in: path
      description: Base64 encoded URI of the resource
      required: true
      schema:
        type: string
  /api/rest/1/narrow_term/get_narrow_term_by_label:
    post:
      tags:
      - narrow_term
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
  /api/rest/1/place: {}
  /api/rest/1/place/resource:{resource_id}:
    parameters:
    - name: resource_id
      in: path
      description: Base64 encoded URI of the resource
      required: true
      schema:
        type: string
  /api/rest/1/place/get_place_by_label:
    post:
      tags:
      - place
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
      responses:
        "201":
          description: Created
        "401":
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
        "403":
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        "404":
          description: Resource not found
          content:
            text/plain:
              schema:
                type: string
